Package org.eclipse.ui.keys

# Class ModifierKey

java.lang.Object
org.eclipse.ui.keys.Key
org.eclipse.ui.keys.ModifierKey

All Implemented Interfaces:
  `Comparable`

@Deprecated(forRemoval=true, since="2024-03") public final class ModifierKey extends Key
Deprecated, for removal: This API element is subject to removal in a future version.
Please use org.eclipse.jface.bindings.keys.KeyStroke and org.eclipse.jface.bindings.keys.KeyLookupFactory

Instances of `ModifierKey` represent the four keys on the keyboard recognized by convention as 'modifier keys', those keys typically pressed in combination with themselves and/or a `NaturalKey`.

`ModifierKey` objects are immutable. Clients are not permitted to extend this class.

Since:
  3.0
See Also:
  - `NaturalKey`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ModifierKey`
`ALT`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `ModifierKey` which represents the 'Alt' key.
`static final ModifierKey`
`COMMAND`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `ModifierKey` which represents the 'Command' key.
`static final ModifierKey`
`CTRL`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `ModifierKey` which represents the 'Ctrl' key.
`static final ModifierKey`
`SHIFT`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `ModifierKey` which represents the 'Shift' key.

### Fields inherited from class org.eclipse.ui.keys.Key

`key`

## Method Summary

### Methods inherited from class org.eclipse.ui.keys.Key

`compareTo, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ALT

public static final ModifierKey ALT
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `ModifierKey` which represents the 'Alt' key.

### COMMAND

public static final ModifierKey COMMAND
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `ModifierKey` which represents the 'Command' key.

### CTRL

public static final ModifierKey CTRL
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `ModifierKey` which represents the 'Ctrl' key.

### SHIFT

public static final ModifierKey SHIFT
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `ModifierKey` which represents the 'Shift' key.